<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <link href="#{request.contextPath}/css/rhNomina.css" rel="stylesheet" type="text/css"></link>

    <h:outputStylesheet 
        library="css" 
        name="rhNomina.css"/>

    <ui:define 
        name="contentPart">
        <h:form id="dividePlazaForm" class="dividePlazaForm">

            <h:outputText value="RH -> Plazas -> Dividir" 
                          style="font-weight: bold; font-size: medium"/>

            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>
            <h:outputText value="División de plaza  " />
            <h:outputText 
                value="&nbsp; &nbsp; &nbsp; Numero de plaza:" 
                style="font-weight: normal"/>

            <h:outputText 
                value=" #{dividePlazaMB.plazaPadre.numeroPlaza}" 
                style="font-weight: bold"/>
            <br/><br/>


            <!--            <p:panelGrid id="configuraPlazaHijaPanelGrid" columns="1">-->

            <h:panelGrid columns="3" 
                         id="panelDividePlaza"
                         columnClasses="centered2,centered,centered2,centered" 
                         style="width:90%; text-align:left; padding-left: 90px " 
                         cellpadding="10px" >

                <p:row>
                    <h:outputLabel value="Adscripcion: "
                                   style=" font-weight:bold"/>

                    <h:outputLabel value="#{dividePlazaMB.plazaPadre.rhNomnAdscripcionesTO.descripcion}"/>
                </p:row>
                <p:row>
                    <h:outputLabel value="Tabulador: "
                                   style=" font-weight:bold"/>

                    <h:outputLabel
                        value="#{dividePlazaMB.plazaPadre.rhNomnTabuladoresTO.grupoJerarquico.strClaveJerarquica}#{dividePlazaMB.plazaPadre.rhNomnTabuladoresTO.gradoJerarquico.intGrado}#{dividePlazaMB.plazaPadre.rhNomnTabuladoresTO.nivelTabular.strNivel}"/>
                </p:row>
                <p:row>
                    <h:outputLabel value="Puesto: "
                                   style=" font-weight:bold"/>

                    <h:outputLabel value="#{dividePlazaMB.plazaPadre.puestoTO.descripcion}"/>
                </p:row>
                <p:row>
                    <h:outputLabel value="Estructura: "
                                   style=" font-weight:bold"/>

                    <h:outputLabel value="#{dividePlazaMB.plazaPadre.estructuraTO.descripcion}"/>
                </p:row>
                <p:row>
                    <h:outputLabel value="TipoNombamiento: "
                                   style=" font-weight:bold"/>

                    <h:outputLabel value="#{dividePlazaMB.plazaPadre.tipoNombramientoTO.descripcion}"/>
                </p:row>
                <p:row>
                    <h:outputLabel value="Fecha Inicio: "
                                   style=" font-weight:bold"/>

                    <h:outputLabel value="#{dividePlazaMB.plazaPadre.vigenciaInicio}">
                        <f:convertDateTime type="date" pattern="dd-MM-yyyy"/>
                    </h:outputLabel>
                </p:row>
                <p:row>
                    <h:outputLabel value="Estatus: "
                                   style=" font-weight:bold"/>

                    <h:outputLabel value="#{dividePlazaMB.plazaPadre.estatusPlazaTO.descripcion}">
                        <f:convertDateTime type="date" pattern="dd-MM-yyyy"/>
                    </h:outputLabel>
                </p:row>
                <p:row>
                    <h:outputLabel value="PEF: "
                                   style=" font-weight:bold"/>

                    <h:outputLabel value="#{dividePlazaMB.plazaPadre.pef}"/>
                </p:row>
                <p:row>
                    <h:outputLabel value="Fecha Fin: "
                                   style=" font-weight:bold"/>
                    <h:outputLabel value="#{dividePlazaMB.plazaPadreInicial.vigenciaFinal}">
                        <f:convertDateTime type="date" pattern="dd-MM-yyyy"/>
                    </h:outputLabel>
                </p:row>
                <p:row>
                    <h:outputLabel value="Unidad Administrativa: "
                                   style=" font-weight:bold"/>

                    <h:outputLabel value="#{dividePlazaMB.plazaPadre.rhNomnAdscripcionesTO.detalleunidadAdm.descripcion}"/>
                </p:row>
                <p:row>
                    <h:outputLabel value="Ejercicio: "
                                   style=" font-weight:bold"/>

                    <h:outputLabel value="#{dividePlazaMB.plazaPadre.ejercicioTO.valor}"/>
                </p:row>
                
            </h:panelGrid>



            <h:panelGrid  columns="1"
                          style="width:90%; text-align:left; padding-left: 90px; "
                          cellpadding="5px"
                          columnClasses="centered7" >

                <f:facet name="header">
                    #{translatedMessage['restricted.rh.plaza.comentario']}
                </f:facet>
                <p:row >
                    <p:inputText style="visibility: hidden; width: 250px"/>
                    <p:inputTextarea rows="5" 
                                     cols="50" 
                                     id="comentarioPadre" 
                                     value="#{dividePlazaMB.plazaPadre.comentario}" 
                                     counter="displayPadre" 
                                     maxlength="255" 
                                     counterTemplate="{0} caracteres restantes." 
                                     autoResize="false"  />
                </p:row>
                <p:row>
                    <p:inputText style="visibility: hidden; width: 250px"/>
                    <h:outputText id="displayPadre"/>
                </p:row>
            </h:panelGrid>
            
            
            <h:panelGrid columns="2"
                          style="width:90%; text-align:left; padding-left: 90px; "
                          cellpadding="5px"
                          columnClasses="centered5,centered6">
                <p:column>
                    <h:outputLabel value="Fecha División plaza" 
                                   for="fechaDiv"
                                   style=" font-weight:bold" />
                </p:column>
                <p:column>
                    <p:calendar 
                        id="fechaDiv" 
                        value="#{dividePlazaMB.plazaPadre.vigenciaFinal}"
                        showOn="button"
                        pattern="dd/MM/yyyy"
                        locale= "es"
                        maxlength="10"
                        mode="popup"
                        navigator="true"
                        maxdate="#{dividePlazaMB.fechaMaximaSelected}" 
                        mindate="#{dividePlazaMB.fechaMinimaSelected}" 
                        converterMessage="Fecha incorrecta, el formato es dd/mm/yyyy"
                        required="true"
                        requiredMessage="Debes seleccionar fecha final de la plaza padre"
                        >

                        <p:ajax event="dateSelect" update="fechaDiv panelDividePlazaHija" listener="#{dividePlazaMB.selectFechaDivision()}" />
                    </p:calendar>

                </p:column>
                
            </h:panelGrid>


            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>
            <h:outputText value="Plaza Nueva:" style="font-weight: normal"/>
            <br/><br/>
            <h:panelGrid columns="2"  columnClasses="centered5,centered6" 
                         style="width:90%; text-align:left; padding-left: 90px " 
                         cellpadding="10px" id="panelDividePlazaHija" >

                <p:row>
                    <h:outputLabel for="cmbtabuladorHija"
                                   value="#{translatedMessage['restricted.rh.plaza.tabuladores']}: *"
                                   style=" font-weight:bold"/>
                </p:row>

                <p:row>
                    <p:selectOneMenu id="cmbtabuladorHija" 
                                     value="#{dividePlazaMB.plazaHijo.rhNomnTabuladoresTO}" 
                                     converter="entityConverter" 
                                     style="width: 200px;"
                                     >
                        <f:selectItem 
                            itemLabel="Selecciona una opción..."/>  
                        <f:selectItems value="#{dividePlazaMB.lstRhNomnTabuladores}" 
                                       var="tabuladores" 
                                       itemLabel="#{tabuladores.grupoJerarquico.strClaveJerarquica}#{tabuladores.gradoJerarquico.intGrado}#{tabuladores.nivelTabular.strNivel}"
                                       itemValue="#{tabuladores}"/>                        
                        <p:ajax event="change" update="cmbPuestoDividir" listener="#{dividePlazaMB.actualizarPuesto(dividePlazaMB.plazaHijo.rhNomnTabuladoresTO.grupoJerarquico.strClaveJerarquica, dividePlazaMB.plazaPadre.rhNomnAdscripcionesTO.detalleunidadAdm.claveUniAdm)}" />
                    </p:selectOneMenu>                         
                </p:row>

                <p:row>
                    <h:outputLabel for="cmbPuestoDividir" 
                                   value="#{translatedMessage['restricted.rh.plaza.puestos']}: *"
                                   style=" font-weight:bold"/>
                </p:row>

                <p:row>
                    <p:selectOneMenu id="cmbPuestoDividir" 
                                     value="#{dividePlazaMB.plazaHijo.puestoTO}"  
                                     maxlength="10" 
                                     autoWidth="false"
                                     style="width: 200px;"
                                     converter="entityConverter" 
                                     >
                        <f:selectItem 
                            itemLabel="Selecciona una opción..."/>  
                        <f:selectItems value="#{dividePlazaMB.lstPuesto}" 
                                       var="puestos"                                            
                                       itemLabel="#{puestos.descripcion}"
                                       itemValue="#{puestos}"/>
                        <p:ajax event="change" process="cmbPuestoDividir" />
                    </p:selectOneMenu> 
                </p:row>

                <p:row>
                    <h:outputLabel for="calVigenciaInicioDivide" 
                                   value="#{translatedMessage['restricted.rh.plaza.vigenciaInicio']}: *"
                                   style=" font-weight:bold"/>
                </p:row>

                <p:row>

                    <p:calendar value="#{dividePlazaMB.plazaHijo.vigenciaInicio}"
                                id="calVigenciaInicioDivide" 
                                showOn="button"
                                pattern="dd/MM/yyyy"
                                locale= "es"
                                maxlength="10"
                                mode="popup"
                                navigator="true"
                                maxdate="#{dividePlazaMB.vigenciaFinalValidada}" 
                                mindate="#{dividePlazaMB.vigenciaInicioValidada}" 
                                converterMessage="Fecha incorrecta, el formato es dd/mm/yyyy"
                                style="width: 200px;"
                                >

                        <p:ajax event="dateSelect" update="panelDividePlazaHija" listener="#{dividePlazaMB.validarVigencias}" />
                    </p:calendar>
                </p:row>

                <p:row>
                    <h:outputLabel for="calVigenciaFinalDivide" 
                                   value="#{translatedMessage['restricted.rh.plaza.vigenciaFinal']}: "
                                   style=" font-weight:bold"/>
                </p:row>
                <p:row>
                    <p:calendar value="#{dividePlazaMB.plazaHijo.vigenciaFinal}"
                                id="calVigenciaFinalDivide" 
                                showOn="button"                                        
                                pattern="dd/MM/yyyy"
                                locale= "es"
                                maxlength="10"
                                mode="popup"
                                navigator="true"
                                maxdate="#{dividePlazaMB.vigenciaFinalValidada}"
                                mindate="#{dividePlazaMB.plazaHijo.vigenciaInicio}"
                                disabled="#{dividePlazaMB.plazaPadreInicial.vigenciaFinal != null}"
                                converterMessage="Fecha incorrecta, el formato es dd/mm/yyyy"
                                style="width: 200px;"
                                >
                        <p:ajax event="dateSelect" update="panelDividePlazaHija" listener="#{dividePlazaMB.validarVigencias}"/>
                    </p:calendar>
                </p:row>

            </h:panelGrid>


            <h:panelGrid columns="1"
                         style="width:90%; text-align:left; padding-left: 90px; "
                         cellpadding="5px"
                         columnClasses="centered7" >
                <f:facet name="header">
                    #{translatedMessage['restricted.rh.plaza.comentario']}*
                </f:facet>
                <p:row >
                    <p:inputText style="visibility: hidden; width: 250px"/>
                    <p:inputTextarea  
                        rows="5" cols="50" 
                        id="comentarioHijo" 
                        value="#{dividePlazaMB.plazaHijo.comentario}" 
                        counter="displayHijo" 
                        maxlength="255" 
                        counterTemplate="{0} caracteres restantes." 
                        autoResize="false" /> 
                </p:row>
                <p:row>
                    <p:inputText style="visibility: hidden; width: 250px"/>
                    <h:outputText id="displayHijo"/>
                </p:row>

            </h:panelGrid>
            <div align="right" style="padding-right: 110px">
                <p:commandButton style="font-size: 70%; "                                 
                                 process="@(.dividePlazaForm)" 
                                 update="@(.dividePlazaForm)"
                                 value="Agregar"
                                 action="#{dividePlazaMB.agregarPlaza}">
                </p:commandButton>
            </div>


            <br/>

            <h:panelGrid columns="1"
                         style="width:90%; text-align:left; padding-left: 90px; "
                         cellpadding="10px"
                         columnClasses="centered2" >



                <p:dataTable var="hijo" 
                             style="font-size: 70%;" 
                             id="tabPlazasHijoDivide" 
                             value="#{dividePlazaMB.lstPlazaHijoTO}"
                             emptyMessage="Sin plazas hijas"
                             >
                    <p:column headerText="Puesto">
                        <h:outputText value="#{hijo.puestoTO.descripcion}" />
                    </p:column>

                    <p:column headerText="Tabulador">
                        <h:outputText value="#{hijo.rhNomnTabuladoresTO.strClaveTabulador}" />
                    </p:column>

                    <p:column >
                        <p:commandButton value="Quitar.." 
                                         title="Quitar Plazade la Lista"
                                         update="@form" 
                                         icon="ui-icon-minusthick"
                                         actionListener="#{dividePlazaMB.quitarPlazaHijo(hijo)}" >
                        </p:commandButton>
                    </p:column>
                </p:dataTable>
            </h:panelGrid>
            <br/>

            <div align="right" style="padding-right: 110px">
                <p:commandButton id="btnDividirPlaza" 
                                 value="Dividir" 
                                 disabled="#{dividePlazaMB.botonDividir}" 
                                 title="Dividir la Plaza"
                                 actionListener="#{dividePlazaMB.dividirPlaza}">
                </p:commandButton>
                <div style="width:5px;
                     height:auto;
                     display:inline-block;"/>
                <p:commandButton
                    value="Cerrar"
                    type="button"
                    onclick="location = 'bandejaPlaza.jsf';">
                </p:commandButton>
            </div>
            <!--            </p:panelGrid>-->
        </h:form>
    </ui:define>
</ui:composition>
